#
# Conditional build:
%bcond_with	tests	# do not perform "make test" (package doesn't have tests)
%bcond_without	python2 # CPython 2.x module
%bcond_without	python3 # CPython 3.x module

%define 	module	rq
Summary:	RQ is a simple, lightweight, library for creating background jobs, and processing them
Name:		python-%{module}
Version:	0.5.6
Release:	9
License:	BSD
Group:		Libraries/Python
Source0:	https://pypi.python.org/packages/c4/7f/a26b981b99ecc56b28f3de27e9f7dc2d5f16dd2f833e80c01b24bdeb9a5c/%{module}-%{version}.tar.gz
# Source0-md5:	8c72aae6e95379a07fd000752b1acfbf
URL:		https://github.com/nvie/rq/
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
%if %{with python2}
BuildRequires:	python-modules
BuildRequires:	python-setuptools
%if %{with tests}
BuildRequires:	python-click >= 3.0
BuildRequires:	python-redis >= 2.7.0
%endif
%endif
%if %{with python3}
BuildRequires:	python3-modules
BuildRequires:	python3-setuptools
%if %{with tests}
BuildRequires:	python3-click >= 3.0
BuildRequires:	python3-redis >= 2.7.0
%endif
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
rq is a simple, lightweight, library for creating background jobs, and
processing them.

%package -n python3-%{module}
Summary:	RQ is a simple, lightweight, library for creating background jobs, and processing them
Group:		Libraries/Python

%description -n python3-%{module}
rq is a simple, lightweight, library for creating background jobs, and
processing them.

%prep
%setup -q -n %{module}-%{version}

# Remove bundled egg-info
%{__rm} -r %{module}.egg-info

%build
%if %{with python2}
%py_build %{?with_tests:test}
%endif

%if %{with python3}
%py3_build %{?with_tests:test}
%endif

%install
rm -rf $RPM_BUILD_ROOT
%if %{with python2}
%py_install
%py_postclean

for a in rq rqinfo rqworker; do
	mv $RPM_BUILD_ROOT%{_bindir}/$a $RPM_BUILD_ROOT%{_bindir}/$a-2
done
%endif

%if %{with python3}
%py3_install
for a in rq rqinfo rqworker; do
	mv $RPM_BUILD_ROOT%{_bindir}/$a $RPM_BUILD_ROOT%{_bindir}/$a-3
done
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python3}
%files
%defattr(644,root,root,755)
%doc README.md LICENSE
%attr(755,root,root) %{_bindir}/rq-2
%attr(755,root,root) %{_bindir}/rqinfo-2
%attr(755,root,root) %{_bindir}/rqworker-2
%{py_sitescriptdir}/%{module}
%{py_sitescriptdir}/%{module}-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%doc README.md LICENSE
%attr(755,root,root) %{_bindir}/rq-3
%attr(755,root,root) %{_bindir}/rqinfo-3
%attr(755,root,root) %{_bindir}/rqworker-3
%{py3_sitescriptdir}/%{module}
%{py3_sitescriptdir}/%{module}-%{version}-py*.egg-info
%endif
%changelog
* Wed Mar 30 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-rq.git;a=log;h=master

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> 1b8519d
- rebuild with tests and docs

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> 7501520
- Release 8 (by relup.sh)

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> 45a2088
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> ec337b7
- rebuild with python 3.10

* Fri Feb 26 2021 Jan Rękorajski <baggins@pld-linux.org> 390bb40
- release 5 (by relup.sh)

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 513ef0b
- rebuild with python 3.8
- release 4 (by relup.sh)

* Tue Jul 03 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 7163135
- release 3 (by relup.sh)

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 30c6436
- python 3.6
- release 2 (by relup.sh)

* Sun May 08 2016 Elan Ruusamäe <glen@delfi.ee> 54fda18
- package has no tests

* Sun May 08 2016 Elan Ruusamäe <glen@delfi.ee> e728376
- test deps (runtime deps)

* Sun May 08 2016 Elan Ruusamäe <glen@delfi.ee> 73f8eb9
- install bin scripts

* Sun May 08 2016 Elan Ruusamäe <glen@delfi.ee> 5dec254
- new, version .0.5.6

